URL structure
Supported methods and overview
POST- used to disable or (re-)enable one or more Secure Objects.
Detailed description
This API endpoint disables or (re-)enables one or more Secure Objects. It is also possible to disable or (re-)enable a single Secure Object by calling the <access-service>/api/v1/organisations/{orgGroupId}/objects/{objectId}/enable API endpoint.Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide):- System administrator
Required headers
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
where theBearertoken is the appropriate access token.Content-Type: application/json
Required parameters
The following required parameter must be sent in the URL of the POST request:-
action - enable or disable.
Example:
Optional parameters
The following optional parameter can be sent in the body of the POST request, as an individual member of a JSON object:- ids - An array of one or more Secure Object IDs. Example ():
{}
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
